<?php
#BEGIN_LICENSE
#-------------------------------------------------------------------------
# Module: HitCounter (c) 2009 by Robert Campbell
#         (calguy1000@cmsmadesimple.org)
#  An addon module for CMS Made Simple to allow management of frontend
#  users, and their login process within a CMS Made Simple powered
#  website.
#
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2009 by Ted Kulp (wishy@cmsmadesimple.org)
# This projects homepage is: http://www.cmsmadesimple.org
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# However, as a special exception to the GPL, this software is distributed
# as an addon module to CMS Made Simple.  You may not use this software
# in any Non GPL version of CMS Made simple, or in any version of CMS
# Made simple that does not indicate clearly and obviously in its admin
# section that the site was built with CMS Made simple.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
#END_LICENSE
if( !isset($gCms) ) exit;
if( !$this->CheckPermission('Modify Site Preferences') ) return;

$smarty->assign('startform', $this->CreateFormStart( $id, 'save_adminprefs', $returnid));
$smarty->assign('endform', $this->CreateFormEnd());
$smarty->assign('visit_timeout',$this->GetPreference('visit_timeout',30));
$smarty->assign('exclude_bots',$this->GetPreference('exclude_bots',1));

$manip0 = new \HitCounter\StringList( $id, 'input_subnetlist' );
$manip0->SetAdd($this->Lang('add'));
$manip0->SetRemove($this->Lang('remove'));
$manip0->setData( explode( ",", $this->GetPreference('subnet_exclusions') ) );
$smarty->assign("input_subnetexclude",$manip0->display());

$manip = new \HitCounter\StringList( $id, 'input_agentlist' );
$manip->SetAdd($this->Lang('add'));
$manip->SetRemove($this->Lang('remove'));
$manip->setData( explode( ",", $this->GetPreference('agent_exclusions') ) );
$smarty->assign("input_agentexclude",$manip->display());

echo $this->ProcessTemplate('adminprefs.tpl');

#
# EOF
#
?>